class LecturesController < ApplicationController
  # GET /lectures
  def index
    @lectures = Lecture.find(:all, :order => :start)
  end

  # GET /lectures/1
  def show
    @lecture = Lecture.find(params[:id])
  end

  # GET /lectures/new
  def new
    @lecture = Lecture.new
  end

  # GET /lectures/1;edit
  def edit
    @lecture = Lecture.find(params[:id])
  end

  # POST /lectures
  def create
    @lecture = Lecture.new(params[:lecture])

    if @lecture.save
      flash[:notice] = 'Lecture was successfully created.'
      redirect_to lecture_url(@lecture)
    else
      render :action => "new"
    end
  end

  # PUT /lectures/1
  def update
    @lecture = Lecture.find(params[:id])

    if @lecture.update_attributes(params[:lecture])
      flash[:notice] = 'Lecture was successfully updated.'
      redirect_to lecture_url(@lecture)
    else
      render :action => "edit"
    end
  end

  # DELETE /lectures/1
  def destroy
    @lecture = Lecture.find(params[:id])
    @lecture.destroy
    redirect_to lectures_url
  end
  
  # PUT /lectures/vote_for/1?vote=42
  def vote_for
    @lecture = Lecture.find(params[:id])
    @lecture.account_vote(params[:vote].to_i)
    @lecture.update
    redirect_to lectures_url
  end
end
