require File.dirname(__FILE__) + '/../spec_helper'

describe LecturesHelper do
  before(:each) do
    @lecture = mock_model(Lecture, :null_object => true)
  end
  
  it "should highlight lecture happening now" do
    @lecture.should_receive(:is_happening?).and_return(true)
    highlight(Time.parse("13:00"), @lecture).should == "class=\"highlighted\""
  end
  
  it "should not highlight lecture that already happened" do
    @lecture.should_receive(:is_happening?).and_return(false)
    highlight(Time.parse("13:00"), @lecture).should be_empty
  end
end
