require File.dirname(__FILE__) + '/../spec_helper'

describe Lecture do
  before(:each) do
    @lecture = Lecture.new
    @lecture.start = Time.parse("13:00")
    @lecture.end = Time.parse("14:00")
  end

  it "should be valid" do
    @lecture.should be_valid
  end

  it "should account votes" do
    @lecture.account_vote(2)
    @lecture.votes.should == 2
    
    @lecture.account_vote(1)
    @lecture.votes.should == 3
    
    @lecture.account_vote(-2)
    @lecture.votes.should == 1
  end
  
  it "should happen between start and end" do
    @lecture.is_happening?(Time.parse("13:30")).should be_true
  end

  it "should happen at start" do
    @lecture.is_happening?(Time.parse("13:00")).should be_true
  end

  it "should not happen at end" do
    @lecture.is_happening?(Time.parse("14:00")).should_not be_true
  end
  
  it "should not happen before start" do
    @lecture.is_happening?(Time.parse("12:59:59")).should_not be_true
  end

  it "should not happen after end" do
    @lecture.is_happening?(Time.parse("14:01:01")).should_not be_true
  end

end
