require File.dirname(__FILE__) + '/../../spec_helper'

describe "/lectures/edit.rhtml" do
  include LecturesHelper
  
  before do
    @lecture = mock_model(Lecture)
    @lecture.stub!(:title).and_return("MyString")
    @lecture.stub!(:speakers).and_return("MyString")
    @lecture.stub!(:start).and_return(Time.now)
    @lecture.stub!(:end).and_return(Time.now)
    assigns[:lecture] = @lecture
  end

  it "should render edit form" do
    render "/lectures/edit.rhtml"
    
    response.should have_tag("form[action=#{lecture_path(@lecture)}][method=post]") do
      with_tag('input#lecture_title[name=?]', "lecture[title]")
      with_tag('input#lecture_speakers[name=?]', "lecture[speakers]")
    end
  end
end


