require File.dirname(__FILE__) + '/../../spec_helper'

describe "/lectures/new.rhtml" do
  include LecturesHelper
  
  before do
    @lecture = mock_model(Lecture)
    @lecture.stub!(:new_record?).and_return(true)
    @lecture.stub!(:title).and_return("MyString")
    @lecture.stub!(:speakers).and_return("MyString")
    @lecture.stub!(:start).and_return(Time.now)
    @lecture.stub!(:end).and_return(Time.now)
    assigns[:lecture] = @lecture
  end

  it "should render new form" do
    render "/lectures/new.rhtml"
    
    response.should have_tag("form[action=?][method=post]", lectures_path) do
      with_tag("input#lecture_title[name=?]", "lecture[title]")
      with_tag("input#lecture_speakers[name=?]", "lecture[speakers]")
    end
  end
end


