class LectureSteps < Spec::Story::StepGroup
  steps do |define|
    define.given("palestra do $palestrante sobre $assunto das $inicio as $fim") do |palestrante, assunto, inicio, fim|
      @lectures ||= []
      @lectures << Lecture.create!(:title => assunto, :speakers => palestrante, :start => Time.parse(inicio), :end => Time.parse(fim))
    end

    define.when("conferencista acessa listagem de palestras") do
      $selenium.open '/lectures'
    end

    define.then("conferencista deve visualizar palestras") do
      @lectures.each do |lecture|
        $selenium.is_text_present(lecture.title)
        $selenium.is_text_present(lecture.speakers)
        $selenium.is_text_present("#{lecture.start.to_s(:time)}-#{lecture.end.to_s(:time)}")
        lecture.destroy
      end
    end
  end
end